> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tedro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite team member

> Invite a new team member by email. Admin only.



## OpenAPI

````yaml /api-reference/openapi.json post /api/settings/team/members
openapi: 3.1.0
info:
  title: Tedro API
  version: 1.0.0
  description: REST API for the Tedro communication operations platform.
servers:
  - url: https://api.tedro.io
    description: Production
security:
  - sessionCookie: []
    workspaceId: []
paths:
  /api/settings/team/members:
    post:
      tags:
        - 'Settings: Team'
      summary: Invite team member
      description: Invite a new team member by email. Admin only.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InviteMember'
      responses:
        '201':
          description: Member invited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberInvitedResponse'
        '400':
          description: Bad Request - invalid or missing parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
        '401':
          description: Unauthorized - missing or invalid session cookie
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden - insufficient role (admin required)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Conflict - user already a member
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberConflictResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - sessionCookie: []
          workspaceId: []
components:
  schemas:
    InviteMember:
      type: object
      properties:
        email:
          type: string
          minLength: 1
        role:
          type: string
          enum:
            - admin
            - agent
            - viewer
      required:
        - email
      additionalProperties: false
      description: Invite a team member by email
      example:
        email: agent@example.com
        role: agent
    MemberInvitedResponse:
      type: object
      properties: {}
      additionalProperties: {}
    ValidationErrorResponse:
      type: object
      properties:
        error:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
            required:
              - path
              - message
      required:
        - error
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
      required:
        - error
    MemberConflictResponse:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    sessionCookie:
      type: apiKey
      in: cookie
      name: better-auth.session_token
      description: Session cookie set by Better Auth on sign-in.
    workspaceId:
      type: apiKey
      in: header
      name: x-workspace-id
      description: Workspace UUID. Required on all /api/* endpoints.

````